DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# ImageReadICSInfo

Get information about image in ICS file (in dipIO)

## SYNOPSIS

`#include "dipio_ics.h"`

dip_Error dipio_ImageReadICSInfo ( imInfo, filename )

## FUNCTION

Opens a ICS file and fills a `dipio_ImageFileInformation` structure with the information from that file. `imInfo` must be allocated before calling this function.

## ARGUMENTS

Data type | Name | Description
`dipio_ImageFileInformation` | `imInfo` | Output image file information. See `ImageFileInformationNew`
`dip_String` | `filename` | File name

## SOFTWARE

This function uses `libics` (version 1.3), which supports the ICS specification revision 2.0. Copyright (c)2000-2002 Cris L. Luengo Hendriks, Dr. Hans T.M. van der Voort and many others.

## SEE ALSO

`ImageFileGetInfo`, `ImageIsICS`, `ImageReadICS`, `ImageWriteICS`, `ImageFileInformationNew`

DIPlib on-line documentation | Function reference | Global function index